/*统计饼状图*/
function loadAChart(type){
    // 必须用JSON.parse() 转换一下，才可以显示，否则数据类型会不对
    var option = JSON.parse(Android.getPieChartOptions(type));
    var chart2Doc = document.getElementById('main');
    var myChart2 = require('echarts').init(chart2Doc);

    myChart2.setOption(option);
    document.getElementById('textcontent').innerHTML=option;
}

/*消费者分析饼状图*/
function loadCustomerChart(){
    // 必须用JSON.parse() 转换一下，才可以显示，否则数据类型会不对
    var option = JSON.parse(Android.getPieChartOptions());
    var chart2Doc = document.getElementById('main');
    var myChart2 = require('echarts').init(chart2Doc);

    myChart2.setOption(option);
    document.getElementById('textcontent').innerHTML=option;
}

/*消费者分析折线图*/
function fetchData(cb) {
    // 通过 setTimeout 模拟异步加载
    var line = JSON.parse(Android.getDataForLine());
    var max2 = JSON.parse(Android.getMaxForLine());
    var interval2 = JSON.parse(Android.getIntervalForLine());
    setTimeout(function () {
        cb({
            categories: [0,0.5,1,1.5,2,2.5,3,3.5,4,4.5,5,5.5,6,6.5,7,7.5,8,8.5,9,9.5,10,10.5,11,11.5,12,12.5,13,13.5,14,14.5,15,15.5,16,16.5,17,17.5,18,18.5,19,19.5,20,20.5,21,21.5,22,22.5,23,23.5,24],
            data: line,
            max1:max2,
            interval1:interval2
        });
    }, 0);
}

fetchData(function (data) {
/*myChart.hideLoading();*/
    myChart.setOption({
        xAxis: {
            data: data.categories
        },
        yAxis :{
             max:data.max1,
             interval:data.interval1,
        },
        series: [{
            // 根据名字对应到相应的系列
            name: '销量',
            data: data.data
        }]
    });
});

